# Interface ConeResultRowSequence

All Superinterfaces:
  `AutoCloseable, Closeable, ConeQueryRowSequence, uk.ac.starlink.table.RowData, uk.ac.starlink.table.RowSequence, uk.ac.starlink.util.Sequence`

All Known Implementing Classes:
  `ParallelResultRowSequence, SequentialResultRowSequence`

public interface ConeResultRowSequence extends ConeQueryRowSequence
ConeQueryRowSequence sub-interface which additionally defines a method for retrieving the result of the cone search itself.

Since:
  16 Jan 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.StarTable`
`getConeResult()`
Returns the result of the cone search for the current row of this sequence.

### Methods inherited from interface ConeQueryRowSequence

`getDec, getIndex, getRa, getRadius`

### Methods inherited from interface uk.ac.starlink.table.RowSequence

`close, getCell, getRow, next`

## Method Details

### getConeResult

uk.ac.starlink.table.StarTable getConeResult() throws IOException
Returns the result of the cone search for the current row of this sequence. The work will typically be done using `ConeMatcher.getConeResult(ConeSearcher, ConeErrorPolicy, boolean, boolean, String, double, double, double)`.

If no records in the cone are found, the return value may either be null or (preferably) an empty table with the correct columns.

Returns:
  table giving rows strictly within the match criteria for the current row of this cone query sequence, or null
Throws:
  `IOException`